SDL_GamepadHasButton(3)

NAME
SDL_GamepadHasButton - Query whether a gamepad has a given button.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_GamepadHasButton(SDL_Gamepad *gamepad, SDL_GamepadButton button);

DESCRIPTION
This merely reports whether the gamepad's mapping defined this button, as that is all the information SDL has about the physical device.

FUNCTION PARAMETERS

gamepad
    a gamepad.

button
    a button enum value (an SDL_GamepadButton value).

RETURN VALUE
Returns true if the gamepad has this button, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GamepadHasAxis(3)